Bug 437145 - Improper open calls open("/dev/null", 3)
Improper open calls open("/dev/null", 3)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 12:40 EDT by Eric Paris
Modified: 2008-11-19 09:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 09:47:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2008-03-12 12:40:03 EDT
In the function Monitor() inside Monitor.c I see the line:

                open("/dev/null", 3);

But 3 is not a valid open flag.

O_RDONLY == 0
O_WRONLY == 1
O_RDWR   == 2

For code correctness and portability I think it would be best if this was
changed to use O_RDWR rather than the invalid value "3"
Comment 1 Bug Zapper 2008-05-14 01:59:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Update System 2008-06-26 20:07:24 EDT
mdadm-2.6.7-1.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-06-28 18:15:36 EDT
mdadm-2.6.7-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mdadm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5804
Comment 4 Fedora Update System 2008-10-30 09:55:12 EDT
mdadm-2.6.7.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mdadm-2.6.7.1-1.fc9
Comment 5 Fedora Update System 2008-10-31 06:26:14 EDT
mdadm-2.6.7.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mdadm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9325
Comment 6 Fedora Update System 2008-11-19 09:47:35 EST
mdadm-2.6.7.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.